curl --request POST \
--url https://api.lmnr.ai/v1/llm-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"models": [
"<string>"
],
"config": {
"auth": {
"type": "api_key"
},
"region": "<string>",
"resourceId": "<string>",
"baseUrl": "<string>",
"apiVersion": "<string>",
"headerNames": [
"<string>"
]
},
"secrets": {
"apiKey": "<string>",
"secretAccessKey": "<string>",
"token": "<string>",
"headers": {}
}
}
'import requests
url = "https://api.lmnr.ai/v1/llm-profiles"
payload = {
"name": "<string>",
"models": ["<string>"],
"config": {
"auth": { "type": "api_key" },
"region": "<string>",
"resourceId": "<string>",
"baseUrl": "<string>",
"apiVersion": "<string>",
"headerNames": ["<string>"]
},
"secrets": {
"apiKey": "<string>",
"secretAccessKey": "<string>",
"token": "<string>",
"headers": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
models: ['<string>'],
config: {
auth: {type: 'api_key'},
region: '<string>',
resourceId: '<string>',
baseUrl: '<string>',
apiVersion: '<string>',
headerNames: ['<string>']
},
secrets: {
apiKey: '<string>',
secretAccessKey: '<string>',
token: '<string>',
headers: {}
}
})
};
fetch('https://api.lmnr.ai/v1/llm-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "openai_completions",
"config": {
"auth": {
"type": "api_key"
},
"region": "<string>",
"resourceId": "<string>",
"baseUrl": "<string>",
"apiVersion": "<string>",
"headerNames": [
"<string>"
]
},
"models": [
"<string>"
],
"secrets": {
"apiKey": "<string>",
"secretAccessKey": "<string>",
"token": "<string>",
"headers": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create an LLM profile
Creates an LLM profile in the authenticated project’s workspace.
LLM profiles are available only on self-hosted deployments. Laminar Cloud returns 404 Not Found. Secrets are accepted as plaintext over TLS, stored encrypted, and never returned unmasked.
Authorizations
A Laminar project API key.
Body
255openai_completions, openai_responses, gemini, bedrock, azure_chat_completions, azure_responses, azure_anthropic, custom 1 - 64 elements256Provider-specific non-secret configuration. Azure requires exactly one of resourceId or baseUrl; Bedrock requires region; custom providers require baseUrl.
Show child attributes
Show child attributes
Plaintext credentials. Required fields depend on the provider and authentication type.
Show child attributes
Show child attributes
Response
LLM profile created. Secret values are masked.
openai_completions, openai_responses, gemini, bedrock, azure_chat_completions, azure_responses, azure_anthropic, custom Provider-specific non-secret configuration. Azure requires exactly one of resourceId or baseUrl; Bedrock requires region; custom providers require baseUrl.
Show child attributes
Show child attributes
Show child attributes
Show child attributes